%define major 1
%define libname %mklibname %{name}64_ %{major}
%define devname %mklibname %{name} -d

Summary:	Xbase dBase database file library
Name:		xbase
Version:	3.1.2
Release:	8
License:	LGPLv2+
Group: 		Development/Other
Url:		http://linux.techass.com/projects/xdb/
Source0:	http://downloads.sourceforge.net/xdb/%{name}64-%{version}.tar.gz
Patch0:		%{name}-%{version}-fixconfig.patch
Patch2:		%{name}-%{version}-gcc44.patch
Patch3:		%{name}-2.0.0-ppc.patch
Patch4:		%{name}-%{version}-xbnode.patch
Patch5:		%{name}-%{version}-lesserg.patch
Patch6:		%{name}-%{version}-outofsource.patch
Patch7:		%{name}-%{version}-gcc47.patch
Patch8:		%{name}-%{version}-gcc-version.patch
BuildRequires:	doxygen

%description
Library for accessing dBase .dbf, .ndx, .dbt, and Clipper .ntx files.

%files
%doc NEWS README AUTHORS ChangeLog
%{_bindir}/checkndx
%{_bindir}/copydbf
%{_bindir}/dbfutil1
%{_bindir}/dbfxtrct
%{_bindir}/deletall
%{_bindir}/dumphdr
%{_bindir}/dumprecs
%{_bindir}/packdbf
%{_bindir}/reindex
%{_bindir}/undelall
%{_bindir}/zap

#----------------------------------------------------------------------------

%package -n %{libname}
Summary:	Libraries needed for %{name}
Group:		System/Libraries
Conflicts:	%{_lib}xbase1 < 3.1.2-8
Obsoletes:	%{_lib}xbase1 < 3.1.2-8

%description -n %{libname}
Libraries needed for %{name}

%files -n %{libname}
%{_libdir}/libxbase.so.%{major}*
%{_libdir}/libxbase64.so.%{major}*

#----------------------------------------------------------------------------

%package -n %{devname}
Summary:	Xbase development package
Group:		Development/Other
Requires:	%{libname} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Headers and such for compiling programs that use the Xbase library.

%files -n %{devname}
%doc docs html
%{_bindir}/xbase-config
%{_bindir}/xbase64-config
%{_includedir}/xbase*
%{_libdir}/libxbase.so
%{_libdir}/libxbase64.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{name}64-%{version}
%apply_patches

%build
touch AUTHORS README NEWS
cp -p copying COPYING
autoreconf -i
%configure2_5x --disable-static
%make

%install
%makeinstall_std

pushd %{buildroot}%{_libdir}
ln -s libxbase64.so.1.0.0 libxbase.so.1.0.0
ln -s libxbase64.so.%{major} libxbase.so.%{major}
ln -s libxbase64.so libxbase.so
popd

pushd %{buildroot}%{_includedir}
ln -s xbase64 xbase
ln -s xbase64.h xbase64/xbase.h
popd

pushd %{buildroot}%{_bindir}
ln -s xbase64-config xbase-config
popd


%changelog

* Mon May 09 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 3.1.2-8
- (cf839e2) Fix library package name
- (cf839e2) Spec cleanup


